Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynFixedOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynFixed

public interface DynFixedOperations
extends DynAnyOperations

Interface definition : DynFixed

Author:
  OpenORB Compiler

Method Summary
`java.lang.String` | `get_value()` Operation get_value
`boolean` | `set_value(java.lang.String val)` Operation set_value

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_value

    public java.lang.String get_value()

  Operation get_value

### set_value

    public boolean set_value(java.lang.String val)
                      throws TypeMismatch,
                             InvalidValue

  Operation set_value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD